//
//  SpeakEleButton.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/10.
//

import UIKit

class SpeakEleButton: UIButton {

    override func awakeFromNib() {
        super.awakeFromNib()
    }
    
    override func layoutSubviews() {
        super.layoutSubviews()
        self.layoutIfNeeded()
        self.corners = 20
        if state == .disabled {
            self.backgroundColor = .init(hex: 0x3980F6,alpha: 0.5)
        }else{
            self.backgroundColor = .init(hex: 0x3980F6)
        }
    }

}
